/*
 *    Copyright (C) 2015 Haruki Hasegawa
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package com.h6ah4i.android.widget.advrecyclerview.expandable.annotation;

import com.h6ah4i.android.widget.advrecyclerview.expandable.ExpandableItemConstants;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

import androidx.annotation.IntDef;

@IntDef(flag = true, value = {
        ExpandableItemConstants.STATE_FLAG_IS_GROUP,
        ExpandableItemConstants.STATE_FLAG_IS_CHILD,
        ExpandableItemConstants.STATE_FLAG_IS_EXPANDED,
        ExpandableItemConstants.STATE_FLAG_HAS_EXPANDED_STATE_CHANGED,
        ExpandableItemConstants.STATE_FLAG_IS_UPDATED,
})
@Retention(RetentionPolicy.SOURCE)
public @interface ExpandableItemStateFlags {
}
